Wallets, tokens & networks
Get Wallet Holdings
Fetches on-chain balances, USD values, native gas tokens and discovered SPL/ERC-20 tokens for caller provider wallets.
GEThttps://api.toku.com/tga/get-wallet-holdings
Not available to API keys.
curl --request GET \
--url 'https://api.toku.com/tga/get-wallet-holdings' \
--header 'Authorization: Bearer <token>'200 response
[
{
"walletID": "string",
"tokenID": "string",
"address": "string",
"status": "string",
"tokenName": "string",
"tokenSymbol": "string",
"tokenIcon": "string",
"tokenAddress": "string",
"networkName": "string",
"networkIcon": "string",
"networkChainId": 0,
"networkRpcUrl": "string",
"quantity": "string",
"quantityRaw": 0,
"amountUSD": "string",
"amountUSDRaw": 0,
"isLoading": true,
"hasError": true,
"chainType": "string",
"isPrivyWallet": true,
"isCrossmintWallet": true,
"isPolygonWallet": true,
"userEmail": "string",
"isDiscovered": true
}
]Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Response
200Successful response
walletIDstringrequiredtokenIDstringaddressstringrequiredstatusstringrequiredtokenNamestringrequiredtokenSymbolstringrequiredtokenIconstring | nullrequiredtokenAddressstring | nullrequirednetworkNamestringrequirednetworkIconstring | nullrequirednetworkChainIdinteger | nullrequirednetworkRpcUrlstring | nullrequiredquantitystringrequiredquantityRawnumberrequiredamountUSDstringrequiredamountUSDRawnumberrequiredisLoadingbooleanrequiredhasErrorbooleanrequiredchainTypestringrequiredisPrivyWalletbooleanrequiredisCrossmintWalletbooleanrequiredisPolygonWalletbooleanrequireduserEmailstring | nullrequiredisDiscoveredboolean400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits